Skip to main content
GET
Get an invoice

Authorizations

X-API-Key
string
header
required

Your application's API key (sk_development_… or sk_production_…). An optional X-Signature / X-Timestamp HMAC pair may additionally be sent for stronger security — see Authentication.

Path Parameters

invoiceId
string
required

Response

OK

customerRef
object
required
issueDate
string<date>
required
currency
string
required
subTotal
number
required

Decimal amount in the document's currency.

taxAmount
number
required

Decimal amount in the document's currency.

totalAmount
number
required

Decimal amount in the document's currency.

lineItems
object[]
required
status
enum<string>
required
Available options:
Unknown,
Draft,
Open,
PartiallyPaid,
Paid,
Void,
Overdue
invoiceCode
string
reference
string
dueDate
string<date>
currencyRate
number
Required range: x >= 0.0001
amountDue
number

Decimal amount in the document's currency.

note
string
customerMemo
string
billEmail
string<email>
id
string
connectionId
string
syncStatus
enum<string>
Available options:
pending,
syncing,
synced,
failed
etimsReceiptAvailable
boolean

Whether a KRA-signed receipt PDF exists for this invoice — see Sales if this company also uses the eTIMS API.

createdAt
string<date-time>
updatedAt
string<date-time>